GNU bug report logs - #27312
25.2; can't activate fcitx even though env is set up correctly

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Leonard Lausen <leonard@HIDDEN>; dated Sat, 10 Jun 2017 16:42:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 27312 <at> debbugs.gnu.org:


Received: (at 27312) by debbugs.gnu.org; 15 Jun 2017 04:48:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 15 00:48:02 2017
Received: from localhost ([127.0.0.1]:48410 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dLMhN-0004fg-Lj
	for submit <at> debbugs.gnu.org; Thu, 15 Jun 2017 00:48:02 -0400
Received: from hercules.uberspace.de ([95.143.172.224]:41920 ident=OjjoDtksOnG)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leonard@HIDDEN>) id 1dLMhL-0004fT-6F
 for 27312 <at> debbugs.gnu.org; Thu, 15 Jun 2017 00:47:59 -0400
Received: (qmail 8336 invoked from network); 15 Jun 2017 04:47:53 -0000
Received: from localhost (HELO ?10.64.139.29?) (127.0.0.1)
 by hercules.uberspace.de with SMTP; 15 Jun 2017 04:47:53 -0000
Subject: Re: bug#27312: 25.2; can't activate fcitx even though env is set up
 correctly
To: Eli Zaretskii <eliz@HIDDEN>, npostavs@HIDDEN
References: <7db29009-200d-4921-20b1-71e2df37e67f@HIDDEN>
 <87r2ymrtyn.fsf@HIDDEN>
 <482d503a-4e11-3824-ae3e-c924bee8aca2@HIDDEN>
 <87mv9arl3a.fsf@HIDDEN>
 <A9981EC3-5508-4645-B440-28AF9F39FF1E@HIDDEN>
From: Leonard Lausen <leonard@HIDDEN>
Message-ID: <fe017813-a2c5-dede-9012-a5cd76d1dbe3@HIDDEN>
Date: Thu, 15 Jun 2017 13:47:47 +0900
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
In-Reply-To: <A9981EC3-5508-4645-B440-28AF9F39FF1E@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 27312
Cc: 27312 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

>> Ok, I see that according to Bug#10867, it should work with your setup.
>> Have you ever got it working with older Emacs versions?
>>
>> I guess you've also verified that 'locale -a' shows 'zh_CN.UTF-8'? 
>> I'm
>> afraid I don't know how to troubleshoot this any further.

'locale -a' shows zh_CN.utf8. However, starting emacs
"LC_CTYPE=zh_CN.utf8 emacs -Q" does not make any difference and as far
as I understand zh_CN.utf8 and h_CN.UTF-8 should be equivalent (?).

This was working on another system (based on Ubuntu) with version
24.5.1. Currently I'm on Gentoo and was not able to get it working with
both emacs 25 and emacs 24. (I attach the USE flags at the end of this
mail.)

>>> Note that if I press the Ctrl-Space key (which should change the
>> fcitx
>>> input method) "emacs -Q" reports "Mark set" and "Mark deactivated",
>>> while for "emacs -Q -nw" the input method is changed correctly (i.e.
>> I
>>> can input Chinese characters thereafter).
>>
>> Yeah, I guess for 'emacs -nw' it's really the terminal program that
>> handles the input method, Emacs doesn't know anything about it.

Yes, that would make sense.

> etc/PROBLEMS mentions an issue with fcitx; could this be the same or similar
> issue?

The issue in etc/PROBLEMS seems to be the inverse of the problem that I
am experiencing. In etc/PROBLEMS, the problem is that C-SPC is captured
by fcitx and emacs does not receive the C-SPC command. However for me, I
want C-SPC to be intercepted by fcitx to change the layout instead of
emacs handling the key. Currently in all other programs C-SPC correctly
switches the layout (i.e. is intercepted by fcitx), however in "emacs
-Q" the key is intercepted by emacs.

The current behavior of emacs is essentially the same as what #10867
describes to happen if LC_CTYPE  is not "zh_CN.UTF-8", though in my case
LC_CTYPE seems to be set correctly. So it seems there is some other
bug(/error in my configuration) that prevents emacs from supporting X
input method (?).


USE flags:
✗ equery uses emacs
[ Legend : U - final flag setting for installation]
[        : I - package is installed with flag     ]
[ Colors : set, unset                             ]
 * Found these USE flags for app-editors/emacs-25.2:
 U I
 + + X                   : Add support for X11
 - - Xaw3d               : Add support for the 3d athena widget set
 + + acl                 : Add support for Access Control Lists
 + + alsa                : Add support for media-libs/alsa-lib (Advanced
Linux Sound Architecture)
 - - athena              : Enable the MIT Athena widget set
(x11-libs/libXaw)
 + + dbus                : Enable dbus support for anything that needs
it (gpsd, gnomemeeting, etc)
 + + dynamic-loading     : Enable loading of dynamic libraries at runtime
 - - games               : Support shared score files for games
 + + gconf               : Use gnome-base/gconf to read the system font name
 - - gfile               : Use gfile (dev-libs/glib) for file notification
 + + gif                 : Add GIF image support
 + + gpm                 : Add support for sys-libs/gpm (Console-based
mouse driver)
 + + gsettings           : Use gsettings (dev-libs/glib) to read the
system font name
 + + gtk                 : Add support for x11-libs/gtk+ (The GIMP Toolkit)
 + + gtk3                : Prefer version 3 of the GIMP Toolkit to
version 2 (x11-libs/gtk+)
 - - gzip-el             : Compress bundled Emacs Lisp source
 - - hesiod              : Enable support for net-dns/hesiod
 + + imagemagick         : Use media-gfx/imagemagick for image processing
 + + inotify             : Enable inotify filesystem monitoring support
 + + jpeg                : Add JPEG image support
 - - kerberos            : Add kerberos support
 + + libxml2             : Use dev-libs/libxml2 to parse XML instead of
the internal Lisp implementations
 - - livecd              : !!internal use only!! DO NOT SET THIS FLAG
YOURSELF!, used during livecd building
 + + m17n-lib            : Enable m17n-lib support
 - - motif               : Add support for the Motif toolkit
 - - pax_kernel          : Enable building under a PaX enabled kernel
 + + png                 : Add support for libpng (PNG images)
 + + sound               : Enable sound support
 + + source              : Install C source files and make them
available for find-function
 + + ssl                 : Add support for Secure Socket Layer connections
 + + svg                 : Add support for SVG (Scalable Vector Graphics)
 + + tiff                : Add support for the TIFF image format
 - - toolkit-scroll-bars : Use the selected toolkit's scrollbars in
preference to Emacs' own scrollbars
 - - wide-int            : Prefer wide Emacs integers (typically
62-bit). This option has an effect only on architectures where "long"
and "long long" types have different size.
 + + xft                 : Build with support for XFT font renderer
(x11-libs/libXft)
 + + xpm                 : Add support for XPM graphics format
 + + zlib                : Add support for zlib (de)compression




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27312; Package emacs. Full text available.

Message received at 27312 <at> debbugs.gnu.org:


Received: (at 27312) by debbugs.gnu.org; 15 Jun 2017 03:56:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 14 23:56:30 2017
Received: from localhost ([127.0.0.1]:48403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dLLtW-0003Ua-Hu
	for submit <at> debbugs.gnu.org; Wed, 14 Jun 2017 23:56:30 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59659)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dLLtU-0003UN-EZ
 for 27312 <at> debbugs.gnu.org; Wed, 14 Jun 2017 23:56:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dLLtO-0004ZS-CX
 for 27312 <at> debbugs.gnu.org; Wed, 14 Jun 2017 23:56:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44206)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dLLt4-0004Po-DB; Wed, 14 Jun 2017 23:56:02 -0400
Received: from [176.13.250.1] (port=2053 helo=[10.131.252.218])
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dLLt3-0007V0-CA; Wed, 14 Jun 2017 23:56:01 -0400
Date: Thu, 15 Jun 2017 06:55:56 +0300
User-Agent: K-9 Mail for Android
In-Reply-To: <87mv9arl3a.fsf@HIDDEN>
References: <7db29009-200d-4921-20b1-71e2df37e67f@HIDDEN>
 <87r2ymrtyn.fsf@HIDDEN>
 <482d503a-4e11-3824-ae3e-c924bee8aca2@HIDDEN>
 <87mv9arl3a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#27312: 25.2;
 can't activate fcitx even though env is set up correctly
To: npostavs@HIDDEN,Leonard Lausen <leonard@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <A9981EC3-5508-4645-B440-28AF9F39FF1E@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 27312
Cc: 27312 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

On June 15, 2017 6:22:33 AM GMT+03:00, npostavs@users=2Esourceforge=2Enet w=
rote:
> Leonard Lausen <leonard@lausen=2Enl> writes:
>=20
> >> If you evaluate (getenv "XMODIFIERS") do you get the expected
> value?
> >> Does evaluating (setenv "XMODIFIERS" "@im=3Dfcitx") help?
> >
> > (getenv "XMODIFIERS") returns in "@im=3Dfcitx" for both modes ("emacs
> -Q"
> > and "emacs -Q -nw")=2E Running a further (setenv "XMODIFIERS"
> "@im=3Dfcitx")
> > does not make any difference=2E
>=20
> Ok, I see that according to Bug#10867, it should work with your setup=2E
> Have you ever got it working with older Emacs versions?
>=20
> I guess you've also verified that 'locale -a' shows 'zh_CN=2EUTF-8'?=20
> I'm
> afraid I don't know how to troubleshoot this any further=2E
>=20
> > Note that if I press the Ctrl-Space key (which should change the
> fcitx
> > input method) "emacs -Q" reports "Mark set" and "Mark deactivated",
> > while for "emacs -Q -nw" the input method is changed correctly (i=2Ee=
=2E
> I
> > can input Chinese characters thereafter)=2E
>=20
> Yeah, I guess for 'emacs -nw' it's really the terminal program that
> handles the input method, Emacs doesn't know anything about it=2E

etc/PROBLEMS mentions an issue with fcitx; could this be the same or simil=
ar
issue?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27312; Package emacs. Full text available.

Message received at 27312 <at> debbugs.gnu.org:


Received: (at 27312) by debbugs.gnu.org; 15 Jun 2017 03:21:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 14 23:21:05 2017
Received: from localhost ([127.0.0.1]:48386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dLLLE-0002gN-UM
	for submit <at> debbugs.gnu.org; Wed, 14 Jun 2017 23:21:05 -0400
Received: from mail-io0-f180.google.com ([209.85.223.180]:36716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1dLLLD-0002fl-I4
 for 27312 <at> debbugs.gnu.org; Wed, 14 Jun 2017 23:21:04 -0400
Received: by mail-io0-f180.google.com with SMTP id y77so3711939ioe.3
 for <27312 <at> debbugs.gnu.org>; Wed, 14 Jun 2017 20:21:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=G2wSWT8jNp+uySbAItrAL03uJZUbcJP2f2meMc/DtyY=;
 b=XQ7REmPzzgH5nllOCTRqhySD51tbyqSCMj9OYwITykJyp3EZ1QRKjjCoqmSFvGRWZU
 ZyMxcHWBxTIBXUEnperJ4ojhpk15VKkMWgfehHvCmM/uyc9e0q8WldxI1U1YuwZ74FWI
 j5vUlXU/X47ZOJZTDiw102lXUjnEYeaOfa6AYv6xoDfBwP3O3onq+6A5Dnts7dxrjKdS
 NMezXhkuGm+QKM9BsI0El7YyaLb8qPgrkrJhE52az+X96f7/9Ykr5voqB7k8AP8KJqb/
 SaAPi3KgwsTXSxj/jOy6M6aLh7JBqXRhpDqj38Rj0hicAk+31WRtLDhP4prHhCVK6iYB
 LuwQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=G2wSWT8jNp+uySbAItrAL03uJZUbcJP2f2meMc/DtyY=;
 b=K9OUQah6C12O3eXUV8wMpIM7C5qr08sTGkQHUoC5FMCOmB8QpWMURZiGw4Nb99mihh
 It6OwzhAClrVNvJA3MGm73T8d9s5gf041u0jMvmuH/lfVTqXtlRDd8iwqRTFetCPmPNt
 8YdSJyfXkp+q/oK5smaXuzBBcYB7NCPePVJRuKAvcIqMDbPPNKfQWK787FKIVhPgB+jC
 31fxIN2I8xIJs8dkJ/CyAyX0U4S4tl5dIC+0AyMPwOLxt/oDK8mU4D2d/k0FW0ZEZHY/
 S8Y83vp5A3bh20fhR3qr0nVnH6zkHbK7uiGaLD9dn0NRFm22iKStCc10hwKennsTJKL9
 6k1w==
X-Gm-Message-State: AKS2vOzGam3Bgj5KXV8aBsRXfSRQpSDMxds3WmLR4zZSufR/fjsDdfzY
 fKHaLSMwLIsep1v6
X-Received: by 10.107.145.86 with SMTP id t83mr3518248iod.129.1497496857762;
 Wed, 14 Jun 2017 20:20:57 -0700 (PDT)
Received: from zony ([45.2.7.65])
 by smtp.googlemail.com with ESMTPSA id 200sm948674itw.17.2017.06.14.20.20.56
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 14 Jun 2017 20:20:56 -0700 (PDT)
From: npostavs@HIDDEN
To: Leonard Lausen <leonard@HIDDEN>
Subject: Re: bug#27312: 25.2;
 can't activate fcitx even though env is set up correctly
References: <7db29009-200d-4921-20b1-71e2df37e67f@HIDDEN>
 <87r2ymrtyn.fsf@HIDDEN>
 <482d503a-4e11-3824-ae3e-c924bee8aca2@HIDDEN>
Date: Wed, 14 Jun 2017 23:22:33 -0400
In-Reply-To: <482d503a-4e11-3824-ae3e-c924bee8aca2@HIDDEN> (Leonard
 Lausen's message of "Thu, 15 Jun 2017 10:55:55 +0900")
Message-ID: <87mv9arl3a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.0 (-)
X-Debbugs-Envelope-To: 27312
Cc: 27312 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Leonard Lausen <leonard@HIDDEN> writes:

>> If you evaluate (getenv "XMODIFIERS") do you get the expected value?
>> Does evaluating (setenv "XMODIFIERS" "@im=fcitx") help?
>
> (getenv "XMODIFIERS") returns in "@im=fcitx" for both modes ("emacs -Q"
> and "emacs -Q -nw"). Running a further (setenv "XMODIFIERS" "@im=fcitx")
> does not make any difference.

Ok, I see that according to Bug#10867, it should work with your setup.
Have you ever got it working with older Emacs versions?

I guess you've also verified that 'locale -a' shows 'zh_CN.UTF-8'?  I'm
afraid I don't know how to troubleshoot this any further.

> Note that if I press the Ctrl-Space key (which should change the fcitx
> input method) "emacs -Q" reports "Mark set" and "Mark deactivated",
> while for "emacs -Q -nw" the input method is changed correctly (i.e. I
> can input Chinese characters thereafter).

Yeah, I guess for 'emacs -nw' it's really the terminal program that
handles the input method, Emacs doesn't know anything about it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27312; Package emacs. Full text available.

Message received at 27312 <at> debbugs.gnu.org:


Received: (at 27312) by debbugs.gnu.org; 15 Jun 2017 02:17:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 14 22:17:47 2017
Received: from localhost ([127.0.0.1]:48378 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dLKLy-0001EW-Rr
	for submit <at> debbugs.gnu.org; Wed, 14 Jun 2017 22:17:47 -0400
Received: from hercules.uberspace.de ([95.143.172.224]:49320 ident=JCf2GVORfI5)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leonard@HIDDEN>) id 1dLK10-0000jn-Un
 for 27312 <at> debbugs.gnu.org; Wed, 14 Jun 2017 21:56:07 -0400
Received: (qmail 20014 invoked from network); 15 Jun 2017 01:56:01 -0000
Received: from localhost (HELO ?10.64.139.29?) (127.0.0.1)
 by hercules.uberspace.de with SMTP; 15 Jun 2017 01:56:01 -0000
Subject: Re: bug#27312: 25.2; can't activate fcitx even though env is set up
 correctly
To: npostavs@HIDDEN
References: <7db29009-200d-4921-20b1-71e2df37e67f@HIDDEN>
 <87r2ymrtyn.fsf@HIDDEN>
From: Leonard Lausen <leonard@HIDDEN>
Message-ID: <482d503a-4e11-3824-ae3e-c924bee8aca2@HIDDEN>
Date: Thu, 15 Jun 2017 10:55:55 +0900
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
In-Reply-To: <87r2ymrtyn.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 27312
X-Mailman-Approved-At: Wed, 14 Jun 2017 22:17:45 -0400
Cc: 27312 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 06/15/2017 09:10 AM, npostavs@HIDDEN wrote:
> Leonard Lausen <leonard@HIDDEN> writes:
> 
>> Even though all environment variables are (afaik) set up correctly, and
>> fcitx is working in all other programs, it does not work in emacs GUI
>> mode. It works fine if I start emacs in the terminal.
> 
> By the "GUI mode" do you mean 'emacs' vs 'emacs -nw'?  Or do you mean
> that the you use a different kind of launcher?

Sorry for being imprecise. Indeed I mean 'emacs -Q' vs 'emacs -Q -nw'

> If you evaluate (getenv "XMODIFIERS") do you get the expected value?
> Does evaluating (setenv "XMODIFIERS" "@im=fcitx") help?

(getenv "XMODIFIERS") returns in "@im=fcitx" for both modes ("emacs -Q"
and "emacs -Q -nw"). Running a further (setenv "XMODIFIERS" "@im=fcitx")
does not make any difference.

Note that if I press the Ctrl-Space key (which should change the fcitx
input method) "emacs -Q" reports "Mark set" and "Mark deactivated",
while for "emacs -Q -nw" the input method is changed correctly (i.e. I
can input Chinese characters thereafter).

Thanks for your help.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27312; Package emacs. Full text available.

Message received at 27312 <at> debbugs.gnu.org:


Received: (at 27312) by debbugs.gnu.org; 15 Jun 2017 00:09:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 14 20:09:25 2017
Received: from localhost ([127.0.0.1]:48156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dLILl-0002vk-Hx
	for submit <at> debbugs.gnu.org; Wed, 14 Jun 2017 20:09:25 -0400
Received: from mail-io0-f175.google.com ([209.85.223.175]:32827)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1dLILk-0002vY-Ik
 for 27312 <at> debbugs.gnu.org; Wed, 14 Jun 2017 20:09:25 -0400
Received: by mail-io0-f175.google.com with SMTP id t87so2083928ioe.0
 for <27312 <at> debbugs.gnu.org>; Wed, 14 Jun 2017 17:09:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=30dPUDv7zJ+VzZo6vi+NKskS+WbTortnbcnQJ5tFWZY=;
 b=b5X1jwKrjhDLIoLnDZ0JknLzvKIC9Av9Lw6ASLY2IKuGwZRrRnF7LUHRp8geOcfvb7
 4Ff5qZZqd7sMhjZBZ+hlHimDD3UeCVN/gD4DMpuJprJvKDLdNJPwX1OSFPnCLXj3kkCw
 ZQWCphuRaiTcCDs9hhD4I83oCnSRNtrQ2vAcHZx2e+FHWagagmtldXIIkRoYhh/0uwR3
 kn9/GCFzWN51a38u3fOC2BAr7YitHCL8KPmQECFGsuGPGIn1/K1QtMiQRuTMd/36XUhh
 /nLdraJ180DP1cSR8xdwpPRqIWsS8dBek/Lb+BEDThwgSqrYCI3gdyW5lh2L0MlkFz9I
 gUwg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=30dPUDv7zJ+VzZo6vi+NKskS+WbTortnbcnQJ5tFWZY=;
 b=uBKBC3FNaz2Gnmk++J28UH2Iq1NJCdQ55SsQz+HEPlP+sGbOuWRoL0Iy2+J7Htjk/N
 LB1mPbwL6daQUzMbuulPdeucoC6o4ia/FqK4KlVdvzB5p4ZdwnZikYHdX08zQXbwdyJH
 5qTX7ir8hBBY2t1lrBdjJthD0svHqRy9ebh+ReSDc0nSU6hctldA2/IfZkhRBjEb+jK6
 7JgFSv6JAC6VM78/bgWI8IslyofRbk9/BK/1VyuvF2C8pCsb6fvYvu4j5x/OLoDLg5u4
 U/qPRORyOCv5asKoE8ydfGs0kutFG9rcd457tBv13f2e92dt+X2e8ZK475sTriicDDvY
 81/Q==
X-Gm-Message-State: AKS2vOzOYZZZ5jqG+jBE1JnY3PntM7kYNg9ejusOwVEjtgIt0BxbLSJF
 kx7DDqPnQ1RPJmg1PVA=
X-Received: by 10.107.129.197 with SMTP id l66mr2862982ioi.23.1497485359065;
 Wed, 14 Jun 2017 17:09:19 -0700 (PDT)
Received: from zony ([45.2.7.65])
 by smtp.googlemail.com with ESMTPSA id u186sm370985ita.3.2017.06.14.17.09.18
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 14 Jun 2017 17:09:18 -0700 (PDT)
From: npostavs@HIDDEN
To: Leonard Lausen <leonard@HIDDEN>
Subject: Re: bug#27312: 25.2;
 can't activate fcitx even though env is set up correctly
References: <7db29009-200d-4921-20b1-71e2df37e67f@HIDDEN>
Date: Wed, 14 Jun 2017 20:10:56 -0400
In-Reply-To: <7db29009-200d-4921-20b1-71e2df37e67f@HIDDEN> (Leonard
 Lausen's message of "Sat, 10 Jun 2017 16:37:09 +0900")
Message-ID: <87r2ymrtyn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -1.0 (-)
X-Debbugs-Envelope-To: 27312
Cc: 27312 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Leonard Lausen <leonard@HIDDEN> writes:

> Even though all environment variables are (afaik) set up correctly, and
> fcitx is working in all other programs, it does not work in emacs GUI
> mode. It works fine if I start emacs in the terminal.

By the "GUI mode" do you mean 'emacs' vs 'emacs -nw'?  Or do you mean
that the you use a different kind of launcher?

> I compiled emacs myself using the Gentoo ebuild.
>
> I would be very thankful for any suggestions. Currently I believe it is
> a bug in emacs (?).
>
> Specifically:
> =E2=9E=9C  ~ cat .xprofile
> export XMODIFIERS=3D@im=3Dfcitx
> export QT_IM_MODULE=3Dfcitx
> export GTK_IM_MODULE=3Dfcitx
> export LC_CTYPE=3Dzh_CN.UTF-8

If you evaluate (getenv "XMODIFIERS") do you get the expected value?
Does evaluating (setenv "XMODIFIERS" "@im=3Dfcitx") help?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27312; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Jun 2017 16:41:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 10 12:41:25 2017
Received: from localhost ([127.0.0.1]:39126 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dJjS1-0003dA-7i
	for submit <at> debbugs.gnu.org; Sat, 10 Jun 2017 12:41:25 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leonard@HIDDEN>) id 1dJaxo-0000cS-BO
 for submit <at> debbugs.gnu.org; Sat, 10 Jun 2017 03:37:40 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <leonard@HIDDEN>) id 1dJaxh-0005oS-Pa
 for submit <at> debbugs.gnu.org; Sat, 10 Jun 2017 03:37:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:60188)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <leonard@HIDDEN>) id 1dJaxh-0005oO-Lw
 for submit <at> debbugs.gnu.org; Sat, 10 Jun 2017 03:37:33 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50396)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <leonard@HIDDEN>) id 1dJaxg-0003Mc-7l
 for bug-gnu-emacs@HIDDEN; Sat, 10 Jun 2017 03:37:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <leonard@HIDDEN>) id 1dJaxd-0005nb-4J
 for bug-gnu-emacs@HIDDEN; Sat, 10 Jun 2017 03:37:32 -0400
Received: from hercules.uberspace.de ([95.143.172.224]:42508)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <leonard@HIDDEN>) id 1dJaxc-0005mY-Pr
 for bug-gnu-emacs@HIDDEN; Sat, 10 Jun 2017 03:37:29 -0400
Received: (qmail 21202 invoked from network); 10 Jun 2017 07:37:18 -0000
Received: from localhost (HELO ?172.16.122.215?) (127.0.0.1)
 by hercules.uberspace.de with SMTP; 10 Jun 2017 07:37:18 -0000
To: bug-gnu-emacs@HIDDEN
From: Leonard Lausen <leonard@HIDDEN>
Subject: 25.2; can't activate fcitx even though env is set up correctly
Message-ID: <7db29009-200d-4921-20b1-71e2df37e67f@HIDDEN>
Date: Sat, 10 Jun 2017 16:37:09 +0900
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 10 Jun 2017 12:41:24 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Even though all environment variables are (afaik) set up correctly, and
fcitx is working in all other programs, it does not work in emacs GUI
mode. It works fine if I start emacs in the terminal. I compiled emacs
myself using the Gentoo ebuild.

I would be very thankful for any suggestions. Currently I believe it is
a bug in emacs (?).

Specifically:
➜  ~ cat .xprofile
export XMODIFIERS=@im=fcitx
export QT_IM_MODULE=fcitx
export GTK_IM_MODULE=fcitx
export LC_CTYPE=zh_CN.UTF-8

In GNU Emacs 25.2.1 (x86_64-pc-linux-gnu, GTK+ Version 3.22.15)
 of 2017-06-10 built on leonard-xps13
Windowing system distributor 'The X.Org Foundation', version 11.0.11903000
Configured using:
 'configure --prefix=/usr --build=x86_64-pc-linux-gnu
 --host=x86_64-pc-linux-gnu --mandir=/usr/share/man
 --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc
 --localstatedir=/var/lib --disable-dependency-tracking
 --disable-silent-rules --docdir=/usr/share/doc/emacs-25.2
 --htmldir=/usr/share/doc/emacs-25.2/html --libdir=/usr/lib64
 --program-suffix=-emacs-25 --infodir=/usr/share/info/emacs-25
 --localstatedir=/var
 --enable-locallisppath=/etc/emacs:/usr/share/emacs/site-lisp
 --with-gameuser=:gamestat --without-compress-install
 --with-file-notification=inotify --enable-acl --with-dbus
 --with-modules --with-gpm --without-hesiod --without-kerberos
 --without-kerberos5 --with-xml2 --without-selinux --with-gnutls
 --without-wide-int --with-zlib --with-sound=alsa --with-x --without-ns
 --without-gconf --without-gsettings --without-toolkit-scroll-bars
 --with-gif --with-jpeg --with-png --with-rsvg --with-tiff --with-xpm
 --with-imagemagick --with-xft --without-cairo --with-libotf
 --with-m17n-flt --with-x-toolkit=gtk3 --without-xwidgets
 GENTOO_PACKAGE=app-editors/emacs-25.2 'CFLAGS=-march=native
 -mtune=native -O2 -pipe' CPPFLAGS= 'LDFLAGS=-Wl,-O1 -Wl,--as-needed''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS NOTIFY ACL GNUTLS
LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB GTK3 X11 MODULES

Important settings:
  value of $LC_COLLATE: C
  value of $LC_CTYPE: zh_CN.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=fcitx
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
delete-backward-char: Text is read-only [3 times]

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode easymenu
cl-loaddefs pcase cl-lib mail-prsvr mail-utils time-date mule-util
china-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win term/common-win x-dnd tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 86627 8161)
 (symbols 48 19787 0)
 (miscs 40 51 121)
 (strings 32 14408 4750)
 (string-bytes 1 413404)
 (vectors 16 12193)
 (vector-slots 8 484323 15836)
 (floats 8 166 10)
 (intervals 56 265 0)
 (buffers 976 18)
 (heap 1024 16091 922))




Acknowledgement sent to Leonard Lausen <leonard@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#27312; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.